Class | Merb::Dispatcher
In: | lib/merb-core/dispatch/dispatcher.rb lib/merb-core/dispatch/default_exception/default_exception.rb
Parent: | Object

### Methods

handle work_queue

### Included Modules

Merb::ControllerExceptions

### Classes and Modules

Module Merb::Dispatcher::DefaultExceptionHelper
Class Merb::Dispatcher::DefaultException

### Attributes

use_mutex | [RW] | @api private

### Public Class methods

handle(request)

Dispatch the rack environment.

ControllerExceptions are rescued here and redispatched.

@param rack_env [Rack::Environment] The rack environment, which is used to instantiate a Merb::Request @return [Merb::Controller] The Merb::Controller that was dispatched to

@api private

work_queue()

@return [Queue] the current queue of dispatch jobs.

@api private

[Validate]